/*-----------------------------------------------------------------------

File  : che_heu_weight.c

Author: Stephan Schulz

Contents
 
  Functions describing the Clauseweight heuristic, using only the
  weight of a clause (used for determining the order of trying
  demodulators).

Changes

<1> Tue Jun  9 01:51:42 MET DST 1998
    New

-----------------------------------------------------------------------*/

#include "che_heu_weight.h"



/*---------------------------------------------------------------------*/
/*                        Global Variables                             */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                      Forward Declarations                           */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                         Internal Functions                          */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                         Exported Functions                          */
/*---------------------------------------------------------------------*/


/*-----------------------------------------------------------------------
//
// Function: HCBClauseweightCreate()
//
//   Create a HCB entry for the Clauseweight heuristic. The parameter
//   stacks are interpreted as follows:
// 
//   Stack        What?               Default
//                                    
//   i_parms:  0  VWeigth             DEFAULT_VWEIGHT
//             1  FWeight             DEFAULT_FWEIGHT
//   d_parms:  0  Max-Multiplier      DEFAULT_MAX_MULT
//             1  Pos-Multiplier      DEFAULT_POS_MULT
//   s_parms:  Ignored
//
// Global Variables: -
//
// Side Effects    : Memory operations
//
/----------------------------------------------------------------------*/

HCB_p HCBClauseweightCreate(HCBARGUMENTS)
{
   HCB_p         hcb     = HCBAlloc();
   
   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "weight21_ugg") ,
	      1);
   return hcb;
}


/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/


